Delete Edit Run

Delete an edit run and all associated data from Extend. This operation is permanent and cannot be undone.

This endpoint can be used if you’d like to manage data retention on your own rather than relying on automated data retention policies, or to make one-off deletions for your downstream customers.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The ID of the edit run to delete.

Example: "edit_run_xK9mLPqRtN3vS8wF5hB2cQ"

Headers

x-extend-api-version"2025-04-21"Optional
API version to use for the request. If you do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2025-04-21/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2025-04-21/developers/authentication) for details on API key scopes.

Response

Successfully deleted edit run
successboolean
editRunIdstring
The ID of the deleted edit run
messagestring
Confirmation message

Errors

404
Not Found Error
500
Internal Server Error